%define real_name gettext

Summary: 	GNU libraries and utilities for producing multi-lingual messages.
Name: 		%{real_name}-progs
Version: 	0.17
Release:	2 
License: 	GPLv3 and LGPLv2+
Group: 		Development/Tools
URL: 		http://www.gnu.org/software/%{name}/
Source0: 	ftp://ftp.gnu.org/gnu/%{name}/%{real_name}-%{version}.tar.gz
Source1: 	ftp://ftp.gnu.org/gnu/%{name}/%{real_name}-%{version}.tar.gz.sig
Patch0:		%{real_name}-%{version}-open-args.patch
Patch1:		%{real_name}-%{version}-autopoint-CVS-441481.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	patch
BuildRequires:	gettext, expat-devel >= 2.0.0, glib2-devel >= 2.8.1
Requires:	gettext, expat >= 2.0.0, glib2 >= 2.8.1

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs. Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs and stand-alone programs for handling the translatable and
the already translated strings. Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

This package contains statically linked binaries so that the "standard"
libintl.a library that comes with AIX stays untouched but the binaries 
contain the functionality of recent gettext versions.


%prep
%setup -q -n %{real_name}-%{version}
export PATH=/opt/freeware/bin:$PATH
%patch0
%patch1


%build
export CC="xlc_r"
export CXX="xlC_r"
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --disable-shared --enable-static
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/gettext.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gettext.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc gettext-runtime/ABOUT-NLS AUTHORS gettext-runtime/BUGS
%doc COPYING gettext-tools/misc/DISCLAIM README
%doc NEWS THANKS
%doc gettext-runtime/man/*.1.html
%doc gettext-runtime/intl/COPYING*
%{_bindir}/*
%{_infodir}/gettext*
%{_mandir}/man1/*
%{_datadir}/locale/*
/usr/bin/*


%changelog
* Wed Mar 16 2011 Michael Perzl <michael@perzl.org> - 0.17-2
- removed dependency on ncurses

* Fri Dec 17 2010 Michael Perzl <michael@perzl.org> - 0.17-1
- first version for AIX V5.1 and higher
